[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'Sockets' (#rtl)

# Sock2File (deprecated)

Convert socket to untyped file descriptors

## Declaration

Source position: socketsh.inc line 183

`procedure Sock2File(`
`Sock: LongInt;`
`var SockIn: file;`
`var SockOut: file`
`);`

## Description

Sock2File transforms a socket Sock into 2 Pascal file descriptors of type File, one for reading from the socket (SockIn), one for writing to the socket (SockOut).

## Errors

None.

## See also

FPSocket |  | Create new socket
Sock2Text |  | Convert socket to text file descriptors